Search found 5250 matches

by Roy_043
Fri Aug 12, 2022 7:12 pm
Forum: Help on using FreeCAD
Topic: what's going on with shapestring?
Replies: 4
Views: 214

Re: what's going on with shapestring?

Confirmed. Note that the ShapeString String property is "Default" in the image. The problem is not caused by the Draft code AFAICT (Draft uses Part.makeWireString to create the wires). OS: Windows 8.1 Version 6.3 (Build 9600) Word size of FreeCAD: 64-bit Version: 0.21.30058 (Git) Build typ...
by Roy_043
Thu Aug 11, 2022 7:53 pm
Forum: Help on using FreeCAD
Topic: Mysterious "Select Color" Dialogue
Replies: 9
Views: 475

Re: Mysterious "Select Color" Dialogue

Batucada wrote: Thu Aug 11, 2022 6:14 pmridiculous
I disagree, for me it does make sense that you can pick any pixel on the screen. In general: when talking about somebody else's work you may want to avoid the word 'ridiculous'.
by Roy_043
Thu Aug 11, 2022 4:09 pm
Forum: Help on using FreeCAD
Topic: Mysterious "Select Color" Dialogue
Replies: 9
Views: 475

Re: Mysterious "Select Color" Dialogue

the dialogue becomes invisible I can't reproduce that. test the individual colours inside the dialogue box, but it makes no sense I see no difference between selecting a color inside or outside the dialog. OS: Windows 8.1 Version 6.3 (Build 9600) Word size of FreeCAD: 64-bit Version: 0.21.29997 (Gi...
by Roy_043
Thu Aug 11, 2022 3:23 pm
Forum: Help on using FreeCAD
Topic: Can't snap Intersection where two arcs cross in Draft WB
Replies: 16
Views: 622

Re: Can't snap Intersection where two arcs cross in Draft WB

You can just enlarge one of the BoundBoxes by a given tolerance.

Code: Select all

bb.enlarge(tol)
by Roy_043
Thu Aug 11, 2022 1:05 pm
Forum: Draft, Arch & BIM
Topic: [ Fixed ] [ Bug ] Snap icons near cursor are missing
Replies: 18
Views: 818

Re: [ Bug ] Snap icons near cursor are missing

Thanks from me as well. I am currently working on some snap related code and it certainly helps to see those icons when I test things.
by Roy_043
Thu Aug 11, 2022 12:53 pm
Forum: Help on using FreeCAD
Topic: Can't snap Intersection where two arcs cross in Draft WB
Replies: 16
Views: 622

Re: Can't snap Intersection where two arcs cross in Draft WB

There are two issues with Draft_Snap_Intersection here: 1. Endpoints are found: This is a result of this PR of mine: https://github.com/FreeCAD/FreeCAD/pull/6780 I did not think this through and this clearly needs more work. 2. The actual intersection is not found in the provided file: There is a Bo...
by Roy_043
Wed Aug 10, 2022 9:54 pm
Forum: Open discussion
Topic: cannot select the vertices for dimension and coincident constraints
Replies: 9
Views: 374

Re: cannot select the vertices for dimension and coincident constraints

You have arranged the sketch below the image (sketch: Z=-1.6mm; image Z=0mm), and you are probably trying to edit the sketch from the 'bottom'. This does not work. In edit mode the points in the sketch are slightly raised to make selecting them easier, but this of course only works if you edit a ske...
by Roy_043
Wed Aug 10, 2022 4:56 pm
Forum: Open discussion
Topic: cannot select the vertices for dimension and coincident constraints
Replies: 9
Views: 374

Re: cannot select the vertices for dimension and coincident constraints

In the file it is the other way around: Sketch loft_1s is below ImagePlane.
by Roy_043
Wed Aug 10, 2022 12:47 pm
Forum: Python scripting and macros
Topic: How to show plane larger?
Replies: 7
Views: 269

Re: How to show plane larger?

I don't understand, this works fine:

Code: Select all

planeObj = App.ActiveDocument.addObject("Part::Plane", "plane")
planeObj.Length = 30
planeObj.Width = 30
planeObj.Placement = App.Placement(App.Vector(11, 12, 13), App.Rotation())
App.ActiveDocument.recompute()